Summary: Smeserver module to configure Shell and FTP and other access for users
%define name smeserver-remoteuseraccess
Name: %{name}
%define version 1.2
%define release 12
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: e-smith-release >= 7
Requires: e-smith-proftpd >= 1.12.0-6 
Requires: e-smith-openssh >= 1.11.0-24
Requires: perl-CGI-FormMagick >= 0.92-08
Obsoletes: dungog-proftpd-chroot
Obsoletes: e-smith-usershellaccess
Obsoletes: smeserver-sshkeys
AutoReqProv: no

%description
SME server enhancement to provide a server-manager panel under security
where you can enable shell access on a user by user basis.

Shells available bash, optionally with sudo
or rssh which allows scp sftp rsync cvs rdist

Also sets Chroots FTP access, VPN Client Access,
and allows you to enter ssh keys

%changelog
* Sun Feb 18 2007 Stephen Noble <support@dungog.net>
- swedish translation, thanks Chrille
- [1.2-12]

* Tue Jan 23 2007 Stephen Noble <support@dungog.net>
- spanish translation, thanks Gene
- requires e-smith-proftpd >= 1.12.0-6, custom template removed
- default set, ftp{ChrootDir} = home
- [1.2-11]

* Thu Nov 23 2006 Stephen Noble <support@dungog.net>
- chroot path fix when home set [sme 2084]
- [1.2-10]

* Fri Nov 10 2006 Stephen Noble <support@dungog.net>
- fix textarea bug  [sme 1088]
- requires perl-CGI-FormMagick-0.92-08
- [1.2-9]

* Fri Nov 10 2006 Stephen Noble <support@dungog.net>
- chroot path fix [sme 2046]
- [1.2-8]

* Fri Nov 3 2006 Stephen Noble <support@dungog.net>
- german translation fix 
- [1.2-7]

* Fri Aug 25 2006 Stephen Noble <support@dungog.net>
- empty chroot path defaults to home [sme 1249]
- [1.2-6]

* Thu Aug 24 2006 Stephen Noble <support@dungog.net>
- now finds correct sshkeys when used under userpanel
- [1.2-5]

* Wed May 10 2006 Stephen Noble <support@dungog.net>
- German translation fixed [sme 1258]
- [1.2-4]

* Wed May 10 2006 Stephen Noble <support@dungog.net>
- RSSH access uses VPNAccess property
- German translation added, thanks Dietmar
- [1.2-3]

* Mon Apr 24 2006 Stephen Noble <support@dungog.net>
- Description Display fixed
- [1.2-2]

* Fri Apr 14 2006 Stephen Noble <support@dungog.net>
- FormMagick Version
- [1.2-1]

* Thu Apr 13 2006 Stephen Noble <support@dungog.net>
- merged sshkeys panel and functions
- [1.0-13]

* Wed Apr 12 2006 Stephen Noble <support@dungog.net>
- possible fix for Insecure dependency on rc1
- [1.0-12]

* Wed Apr 12 2006 Stephen Noble <support@dungog.net>
- option to set VPN Client Access
- uses user-modify event
- [1.0-11]

* Thu Feb 23 2006 Stephen Noble <support@dungog.net>
- proftp.conf/05chroot added as custom template for now
- defaults all users to ~/home
- Shell db settings changed was LoginShell
- [1.0-10]

* Thu Feb 23 2006 Stephen Noble <support@dungog.net>
- global/individual rssh clarified
- global reset removed
- chroot db settings changed
- [1.0-9]

* Tue Feb 21 2006 Stephen Noble <support@dungog.net>
- SME 7 pre3 version
- [1.0-8]

* Thu Aug 11 2005 Stephen Noble <support@dungog.net>
- SME 7 release
- [1.0-7]

* Sun Jul 17 2005 Stephen Noble <support@dungog.net>
- Merge of e-smith-usershellaccess & dungog-chroot-proftp
- original elements by Daniel van Raay & Damien Curtain
- [1.0-1]

%prep
%setup

%build
perl createlinks

mkdir -p         root/etc/e-smith/db/configuration/defaults/ftp
echo "home" >    root/etc/e-smith/db/configuration/defaults/ftp/ChrootDir

LEXICONS=$(find root/etc/e-smith/locale/ -type f )
LEXICON2=root/etc/e-smith/web/functions/remoteuseraccess
LEXICON3=root/etc/e-smith/web/functions/userpanel-sshkeys

for lexicon in $LEXICONS $LEXICON2 $LEXICON3
do
    /sbin/e-smith/validate-lexicon $lexicon
done

#de en-us es fr it sv                  FIXME ADD NEW LANGUAGES EACH TIME    ++++++++
for LINK in en-us fr de es sv
do
#  if [ -z "/etc/e-smith/locale/$LINK/etc/e-smith/web/functions/remoteuseraccess"] ; then
     /bin/ln -s remoteuseraccess root/etc/e-smith/locale/$LINK/etc/e-smith/web/functions/userpanel-sshkeys
#  fi
done

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun
%post

#/etc/e-smith/events/actions/navigation-conf 2>/dev/null

#if [ -d /etc/e-smith/events/conf-userpanel ] ; then
#   /sbin/e-smith/signal-event conf-userpanel
#fi

%postun
#uninstalls not upgrades
if [ $1 = 0 ] ; then
 echo "uninstalled remoteuseraccess"
 # /etc/e-smith/events/actions/navigation-conf 2>/dev/null
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

